## org.eclipse.datatools.modelbase.sql.routines
Interface Parameter

All Superinterfaces:
  SQLObject, TypedElement

All Known Implementing Classes:
  ParameterImpl

public interface Parameter
extends TypedElement

A representation of the model object 'Parameter'. Reference: 5WD-02-Foundation-2002-12 4.27 SQL-invoked routines, 5WD-02-Foundation-2002-12 11.50 , Reference: 5WD-02-Foundation-2002-12 4.29.4 Locators Reference: Information technology - Database languages - SQL - Part 14: XML-Related Specifications (SQL/XML) 12.7

The following features are supported:

- `Mode`
- `Locator`
- `Routine`
- `String Type Option`

See Also:
  `SQLRoutinesPackage.getParameter()`

Method Summary
`ParameterMode` `getMode()` Returns the value of the 'Mode' attribute.
`Routine` `getRoutine()` Returns the value of the 'Routine' container reference.
`CharacterStringDataType` `getStringTypeOption()` Returns the value of the 'String Type Option' containment reference.
`boolean` `isLocator()` Returns the value of the 'Locator' attribute.
`void` `setLocator(boolean value)` Sets the value of the '`Locator`' attribute.
`void` `setMode(ParameterMode value)` Sets the value of the '`Mode`' attribute.
`void` `setRoutine(Routine value)` Sets the value of the '`Routine`' container reference.
`void` `setStringTypeOption(CharacterStringDataType value)` Sets the value of the '`String Type Option`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getMode

    public ParameterMode getMode()

  Returns the value of the 'Mode' attribute. The literals are from the enumeration `ParameterMode`.

  If the meaning of the 'Mode' attribute isn't clear, there really should be more of a description here...

  5WD-02-Foundation-2002-12 <SQL parameter declaration> ::= [ <parameter mode> ] [ <SQL parameter name> ] <parameter type> [ RESULT ] <parameter mode> ::= IN | OUT | INOUT For functions, defaults to IN. See enumerated class ParameterMode

  Returns:
    the value of the 'Mode' attribute.
  See Also:
    `ParameterMode`, `setMode(ParameterMode)`, `SQLRoutinesPackage.getParameter_Mode()`

### setMode

    public void setMode(ParameterMode value)

  Sets the value of the '`Mode`' attribute.

  Parameters:
    `value` - the new value of the 'Mode' attribute.
  See Also:
    `ParameterMode`, `getMode()`

### isLocator

    public boolean isLocator()

  Returns the value of the 'Locator' attribute. 5WD-02-Foundation-2002-12 4.29.4 Locators A host parameter, a host variable, an SQL parameter of an external routine, or the value returned by an external function may be specified to be a locator by specifying AS LOCATOR . A locator is an SQL-session object, rather than SQL-data, that can be used to reference an SQL-data instance. A locator is either a large object locator, a user-defined type locator, an array locator, or a multiset locator. A large object locator is one of the following: - Binary large object locator, a value of which identifies a binary large object. - Character large object locator, a value of which identifies a large object character string. - National character large object locator, a value of which identifies a national large object character string. A user-defined type locator identifies a value of the user-defined type specified by the locator specification. An array locator identifies a value of the array type specified by the locator specification. A multiset locator identifies a value of the multiset type specified by the locator specification.

  Returns:
    the value of the 'Locator' attribute.
  See Also:
    `setLocator(boolean)`, `SQLRoutinesPackage.getParameter_Locator()`

### setLocator

    public void setLocator(boolean value)

  Sets the value of the '`Locator`' attribute.

  Parameters:
    `value` - the new value of the 'Locator' attribute.
  See Also:
    `isLocator()`

### getRoutine

    public Routine getRoutine()

  Returns the value of the 'Routine' container reference. It is bidirectional and its opposite is '`Parameters`'.

  If the meaning of the 'Routine' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Routine' container reference.
  See Also:
    `setRoutine(Routine)`, `SQLRoutinesPackage.getParameter_Routine()`, `Routine.getParameters()`

### setRoutine

    public void setRoutine(Routine value)

  Sets the value of the '`Routine`' container reference.

  Parameters:
    `value` - the new value of the 'Routine' container reference.
  See Also:
    `getRoutine()`

### getStringTypeOption

    public CharacterStringDataType getStringTypeOption()

  Returns the value of the 'String Type Option' containment reference.

  If the meaning of the 'String Type Option' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'String Type Option' containment reference.
  See Also:
    `setStringTypeOption(CharacterStringDataType)`, `SQLRoutinesPackage.getParameter_StringTypeOption()`

### setStringTypeOption

    public void setStringTypeOption(CharacterStringDataType value)

  Sets the value of the '`String Type Option`' containment reference.

  Parameters:
    `value` - the new value of the 'String Type Option' containment reference.
  See Also:
    `getStringTypeOption()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.